Skip to content
中文

POST /fal-ai/flux-pro/kontext/max/multi

Method: POSTEndpoint: /fal-ai/flux-pro/kontext/max/multi

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
prompt
string
Required
  // provider-specific example normalized for English documentation
Example:
Put the little duckling on top of the woman's t-shirt.
seed
integer
Optional
  // provider-specific example normalized for English documentation
guidance_scale
number
Optional
  // provider-specific example normalized for English documentation
Default Value:
3.5
sync_mode
boolean
Optional
  // provider-specific example normalized for English documentation
Default Value:
false
num_images
integer
  // provider-specific example normalized for English documentation
Optional
>= 1
<= 4
Default Value:
1
safety_tolerance
enum<string>
Optional
  // provider-specific example normalized for English documentation
Enum Values:
1
2
3
4
5
6
Default Value:
2
output_format
enum<string>
  // provider-specific example normalized for English documentation
Optional
Enum Values:
jpeg
png
Default Value:
jpeg
aspect_ratio
enum<string>
  // provider-specific example normalized for English documentation
Optional
Enum Values:
21:9
16:9
4:3
3:2
1:1
2:3
3:4
9:16
9:21
image_urls
array
[string <uri>]
Required
  // provider-specific example normalized for English documentation
>= 1 items
Example
{
"prompt"
:
"Put the little duckling on top of the woman's t-shirt."
,
"seed"
:
0
,
"guidance_scale"
:
3.5
,
"sync_mode"
:
false
,
"num_images"
:
1
,
"safety_tolerance"
:
"2"
,
"output_format"
:
"jpeg"
,
"aspect_ratio"
:
"21:9"
,
"image_urls"
:
[
"http://example.com"
]
}

Example Request

Shell

bash
curl --location --request POST '/fal-ai/flux-pro/kontext/max/multi' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "Put the little duckling on top of the woman'\''s t-shirt.",
    "seed": 0,
    "guidance_scale": 3.5,
    "sync_mode": false,
    "num_images": 1,
    "safety_tolerance": "2",
    "output_format": "jpeg",
    "aspect_ratio": "21:9",
    "image_urls": [
        "http://example.com"
    ]
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
status
string
Required
request_id
string
Required
response_url
string
Required
status_url
string
Required
cancel_url
string
Required
queue_position
integer
Required

Example

json
{
    "status": "IN_QUEUE",
    "request_id": "551a32da-52b2-4be8-bf2f-bfb7cce2b324",
    "response_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324",
    "status_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/cancel",
    "queue_position": 0
}